com.pivotal.gemfirexd.internal.client.am

## Class Sqlca

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.Sqlca

Direct Known Subclasses:
  NetSqlca

    public abstract class Sqlca
    extends Object

### Field Summary

Fields
`protected Connection` `connection_`
`protected boolean` `containsSqlcax_`
`protected long` `rowsetRowCount_`
`protected int` `sqlCode_`
`protected int[]` `sqlErrd_`
`protected byte[]` `sqlErrmcBytes_`
`protected int` `sqlErrmcCcsid_`
`protected String[]` `sqlErrmcMessages_` Array of errmc strings for each message in the chain.
`protected String` `sqlErrp_`
`protected byte[]` `sqlErrpBytes_`
`protected String` `sqlState_`
`protected char[]` `sqlWarn_`
`protected byte[]` `sqlWarnBytes_`

### Constructor Summary

Constructors
`protected` `Sqlca(Connection connection)`

### Method Summary

Methods
`protected String` `bytes2String(byte[] bytes, int offset, int length)`
`boolean` `containsSqlcax()`
`long` `getRowCount()`
`long` `getRowsetRowCount()`
`int` `getSqlCode()`
`int[]` `getSqlErrd()`
`String` `getSqlErrmc()`
`String` `getSqlErrp()`
`String` `getSqlState()`
`char[]` `getSqlWarn()`
`int` `getUpdateCount()`
`boolean` `includesSqlCode(int[] codes)`
`void` `resetRowsetSqlca(Connection connection, int sqlCode, String sqlState, byte[] sqlErrpBytes)`
`void` `setContainsSqlcax(boolean containsSqlcax)`
`void` `setRowsetRowCount(long rowCount)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### connection_

    protected transient Connection connection_

#### sqlCode_

    protected int sqlCode_

#### sqlErrmcMessages_

    protected String[] sqlErrmcMessages_

Array of errmc strings for each message in the chain.

#### sqlErrp_

    protected String sqlErrp_

#### sqlErrd_

    protected int[] sqlErrd_

#### sqlWarn_

    protected char[] sqlWarn_

#### sqlState_

    protected String sqlState_

#### sqlErrmcBytes_

    protected byte[] sqlErrmcBytes_

#### sqlErrpBytes_

    protected byte[] sqlErrpBytes_

#### sqlWarnBytes_

    protected byte[] sqlWarnBytes_

#### sqlErrmcCcsid_

    protected int sqlErrmcCcsid_

#### containsSqlcax_

    protected boolean containsSqlcax_

#### rowsetRowCount_

    protected long rowsetRowCount_

### Constructor Detail

#### Sqlca

    protected Sqlca(Connection connection)

### Method Detail

#### getSqlCode

    public int getSqlCode()

#### getSqlErrmc

    public String getSqlErrmc()

#### getSqlErrp

    public String getSqlErrp()

#### getSqlErrd

    public int[] getSqlErrd()

#### getSqlWarn

    public char[] getSqlWarn()

#### getSqlState

    public String getSqlState()

#### includesSqlCode

    public boolean includesSqlCode(int[] codes)

#### bytes2String

    protected String bytes2String(byte[] bytes,
                      int offset,
                      int length)
                           throws UnsupportedEncodingException

Throws:
  `UnsupportedEncodingException`

#### getUpdateCount

    public int getUpdateCount()

#### getRowCount

    public long getRowCount()
                     throws DisconnectException

Throws:
  `DisconnectException`

#### setContainsSqlcax

    public void setContainsSqlcax(boolean containsSqlcax)

#### containsSqlcax

    public boolean containsSqlcax()

#### resetRowsetSqlca

    public void resetRowsetSqlca(Connection connection,
                        int sqlCode,
                        String sqlState,
                        byte[] sqlErrpBytes)

#### setRowsetRowCount

    public void setRowsetRowCount(long rowCount)

#### getRowsetRowCount

    public long getRowsetRowCount()